{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/e186/1jour1metier/1.0.0"},{"description":"SwaggerHub API Auto Mocking","url":"http://37.59.219.228:4242/"}],"info":{"description":"This is an awesome API","version":"1.0.0","title":"1Jour1Metier","contact":{"email":"kevin.barroso@epitech.eu"}},"tags":[{"name":"client","description":"Operations available to regular client"},{"name":"user","description":"Operations available to authenticated client"},{"name":"admin","description":"Secured Admin-only calls"}],"paths":{"/admin/users":{"get":{"description":"retrieve users","tags":["admin"],"responses":{"200":{"description":"informations retrieved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}}},"/auth/register":{"post":{"tags":["client"],"summary":"create an account","operationId":"addAccount","description":"Allow the user to create an account","responses":{"201":{"description":"Account created"},"422":{"description":"invalid input, object invalid"},"400":{"description":"an existing account already exists"}},"requestBody":{"description":"Optional description in *Markdown*","required":true,"content":{"application/json":{"schema":{"properties":{"name":{"type":"string","example":"Kevin"},"email":{"type":"string","format":"email","example":"kevin.barroso@epitech.eu"},"password":{"type":"string","format":"password","example":"my secret password"}}}}}}}},"/auth/verify":{"post":{"tags":["user"],"summary":"verify an account","operationId":"verify","responses":{"200":{"description":"Verification successfull"}},"requestBody":{"description":"verification_id is given in the verification email. Oauth2 account don't need to verify","required":true,"content":{"application/json":{"schema":{"properties":{"verification_id":{"type":"string"}}}}}}}},"/auth/forgot":{"post":{"tags":["user"],"summary":"send an email to reset password","operationId":"forgot","responses":{"200":{"description":"email sent"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"email":{"type":"string"}}}}}}}},"/auth/reset":{"post":{"tags":["user"],"summary":"reset the account's password","operationId":"reset","responses":{"200":{"description":"Verification successfull"}},"requestBody":{"description":"pass_id is given in the reset email and is valid for 20 minutes","required":true,"content":{"application/json":{"schema":{"properties":{"pass_id":{"type":"string"},"password":{"type":"string"}}}}}}}},"/auth/github":{"get":{"description":"log with github","tags":["client"],"responses":{"200":{"description":"logged in"}}}},"/user/":{"put":{"tags":["user"],"summary":"update the user","operationId":"updateUser","responses":{"200":{"description":"Verification successfull"}},"requestBody":{"description":"pass_id is given in the reset email and is valid for 20 minutes","required":true,"content":{"application/json":{"schema":{"properties":{"update":{"type":"object"}}}}}}}},"/auth/login":{"post":{"tags":["client"],"summary":"login with an account","operationId":"login","responses":{"200":{"description":"Logged in !"},"400":{"description":"Wrong creditentials"},"500":{"description":""}},"requestBody":{"description":"Optional description in *Markdown*","required":true,"content":{"application/json":{"schema":{"properties":{"email":{"type":"string","format":"email","example":"kevin.barroso@epitech.eu"},"password":{"type":"string","format":"password","example":"my secret password"}}}}}}}},"/message":{"post":{"tags":["message"],"summary":"send a message to an user","operationId":"sendMessage","responses":{"200":{"description":"Message sent"}},"requestBody":{"description":"Send an message to an user, you must use the email he used to register.","required":true,"content":{"application/json":{"schema":{"properties":{"to":{"type":"string","example":"kevin.barroso@epitech.eu"},"title":{"type":"string","example":"Titre"},"body":{"type":"string","example":"Hellow world"}}}}}}},"get":{"description":"get all the messages","tags":["message"],"responses":{"200":{"description":"get an array containing the messages"}}},"delete":{"summary":"delete a message","description":"delete a message by his id","tags":["message"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"integer"},"description":"The message ID"}],"responses":{"200":{"description":"message deleted"}}}},"/meeting":{"get":{"tags":["meeting"],"summary":"Get meetings","description":"Get all your meetings","responses":{"200":{"description":"meetings retrieved"}}},"post":{"tags":["meeting"],"summary":"propose a meeting","description":"propose a meeting","requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"to":{"type":"string","example":"kevin.barroso@epitech.eu"},"date":{"type":"string","example":"12/12/2012"}}}}}},"responses":{"200":{"description":"meeting asked"}}}},"/meeting/answer":{"post":{"tags":["meeting"],"summary":"Accept or decline a meeting","responses":{"200":{"description":"answer sent"}}}},"/meeting/cancel":{"post":{"tags":["meeting"],"summary":"Cancel an accepted meeting","responses":{"200":{"description":"meeting canceled"}}}},"/ia/jobs":{"get":{"tags":["ia"],"summary":"Get list of jobs","description":"By passing in the appropriate parameters, you can search and filter for jobs stored in the database.\n","parameters":[{"name":"start","in":"query","description":"Optional. An integer that specifies where to start the selection.","required":false,"schema":{"type":"integer"}},{"name":"end","in":"query","description":"Optional. An integer that specifies where to end the selection.","required":false,"schema":{"type":"integer"}},{"name":"fields","in":"query","description":"Optional. A comma-separated list of fields that will be returned in the response (ex \"code_rome,appellations,domaine,definition\"). If omitted, all fields are returned.","required":false,"schema":{"type":"string"}},{"name":"keyword","in":"query","description":"Optional. Filter jobs by keyword.","required":false,"schema":{"type":"string"}},{"name":"category","in":"query","description":"Optional. Filter jobs by category with the category letter identifier:<br><br>A = \"Agriculture et Pêche, Espaces naturels et Espaces verts, Soins aux animaux\"<br>B = \"Arts et Façonnage d\\'ouvrages d\\'art\"<br>C = \"Banque, Assurance, Immobilier\"<br>D = \"Commerce, Vente et Grande distribution\"<br>E = \"Communication, Média et Multimédia\"<br>F = \"Construction, Bâtiment et Travaux publics\"<br>G = \"Hôtellerie-Restauration, Tourisme, Loisirs et Animation\"<br>H = \"Industrie\"<br>I = \"Installation et Maintenance\"<br>J = \"Santé\"<br>K = \"Services à la personne et à la collectivité\"<br>L = \"Spectacle\"<br>M = \"Support à l\\'entreprise\"<br>N = \"Transport et Logistique\"","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation"}}}}},"components":{"schemas":{"User":{"type":"object","required":["name","email","password"],"properties":{"_id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"name":{"type":"string","example":"Kevin"},"email":{"type":"string","format":"email","example":"kevin.barroso@epitech.eu"},"password":{"type":"string","format":"password","example":"my secret password"}}}}}}